# $Revision: 1.1.2.3 $, $Date: 2003/10/03 16:18:21 $
Summary:	Libraries for digital cameras
Summary(es):	Foto GNU (gphoto) Release 2
Summary(pl):	Biblioteki obsugi kamer cyfrowych
Summary(pt_BR):	GNU Photo - programa GNU para cmeras digitais
Name:		libgphoto2
Version:	2.1.1
Release:	2
License:	LGPL
Group:		Applications
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/gphoto/%{name}-%{version}.tar.bz2
# Source0-md5:	ec69ffba3dc3d6a6a604fd63b3e1159e
URL:		http://www.gphoto.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc >= 0.10
BuildRequires:	libexif-devel
BuildRequires:	libusb-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	gphoto2-lib
Obsoletes:	gphoto2-lib
Conflicts:	gphoto2 < 2.1.1

%define		_gtkdocdir	%{_defaultdocdir}/gtk-doc/html

%description
Libraries for digital cameras.

%description -l es
Foto GNU (gphoto).

%description -l pl
Biblioteki obsugi kamer cyfrowych.

%description -l pt_BR
O programa gphoto faz parte do projeto GNOME e  uma interface para
uma grande variedade de cmeras fotogrficas digitais.

%package devel
Summary:	Header files for libgphoto2
Summary(es):	Archivos de deserrolo de libgphoto2
Summary(pl):	Pliki nagwkowe dla libgphoto2
Summary(pt_BR):	Arquivos de desenvolvimento do libgphoto2
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libexif-devel
Obsoletes:	gphoto2-lib-devel
Obsoletes:	gphoto2-devel

%description devel
Header files for libgphoto2.

%description devel -l es
Archivos de desarrolo de libgphoto2.

%description devel -l pl
Pliki nagwkowe dla libgphoto2.

%description devel -l pt_BR
Arquivos de desenvolvimento do libgphoto2.

%package static
Summary:	Static version of libgphoto2
Summary(es):	Archivos de deserrolo de libgphoto2
Summary(pl):	Statyczna wersja libgphoto2
Summary(pt_BR):	Arquivos de desenvolvimento do libgphoto2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Obsoletes:	gphoto2-lib-static
Obsoletes:	gphoto2-static

%description static
Static version of libgphoto2.

%description static -l es
Archivos de desarrolo de libgphoto2.

%description static -l pl
Statyczna wersja libgphoto2.

%description static -l pt_BR
Arquivos de desenvolvimento do libgphoto2.

%prep
%setup -q

%build
# supplied libtool is broken (relink)
rm -f missing
%{__libtoolize}
%{__aclocal} -I libgphoto2_port/m4
%{__autoconf}
%{__automake}
cd libgphoto2_port
rm -f missing
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
cd ..

%configure \
	--enable-docs \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir} \
	apidocdir=%{_gtkdocdir}

%find_lang %{name}-2
%find_lang libgphoto2_port-0
cat libgphoto2_port-0.lang >> %{name}-2.lang

# prepare docs
mkdir docs
cp --parents \
	libgphoto2_port/{AUTHORS,ChangeLog} \
	camlibs/canon/{ChangeLog,Protocol,README,TODO} \
	camlibs/casio/ChangeLog camlibs/digita/ChangeLog \
	camlibs/dimera/{CREDITS,ChangeLog,Protocol.txt,TODO} \
	camlibs/directory/ChangeLog camlibs/fuji/ChangeLog \
	camlibs/gsmart/{ChangeLog,README} camlibs/jamcam/{ChangeLog,README} \
	camlibs/jd11/{ChangeLog,jd11.html} camlibs/kodak/CAMERAS \
	camlibs/kodak/dc120/ChangeLog camlibs/kodak/dc210/{ChangeLog,TODO} \
	camlibs/kodak/dc240/ChangeLog camlibs/kodak/dc3200/ChangeLog \
	camlibs/konica/{ChangeLog,EXPERTS,README,TODO} \
	camlibs/largan/lmini/{ChangeLog,README} \
	camlibs/minolta/NEWER_MINOLTAS camlibs/minolta/dimagev/README \
	camlibs/mustek/{ChangeLog,README} camlibs/panasonic/{ChangeLog,README} \
	camlibs/panasonic/coolshot/{ChangeLog,README} \
	camlibs/panasonic/l859/{ChangeLog,README,TODO} \
	camlibs/pccam600/{ChangeLog,README} camlibs/polaroid/ChangeLog \
	camlibs/ptp/{ChangeLog,README,TODO} camlibs/ricoh/ChangeLog \
	camlibs/samsung/ChangeLog camlibs/sierra/{ChangeLog,PROTOCOL} \
	camlibs/sipix/{ChangeLog,web2.html} camlibs/sipixblink/ChangeLog \
	camlibs/sonydscf1/{ChangeLog,README,readme,todo} \
	camlibs/sonydscf55/{ChangeLog,TODO} \
	camlibs/soundvision/{ChangeLog,README} \
	camlibs/spca504_flash/{ChangeLog,README} \
	camlibs/stv0680/{680_comm*,CREDITS,ChangeLog,README.pdf} \
	camlibs/sx330z/ChangeLog \
	docs

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-2.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGES ChangeLog NEWS README TESTERS docs/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/gphoto2
%dir %{_libdir}/gphoto2/*
%attr(755,root,root) %{_libdir}/gphoto2/*/libgphoto2_*.so
%{_libdir}/gphoto2/*/libgphoto2_*.la
%dir %{_libdir}/gphoto2_port
%dir %{_libdir}/gphoto2_port/*
%attr(755,root,root) %{_libdir}/gphoto2_port/*/libgphoto2_port_*.so
%{_libdir}/gphoto2_port/*/libgphoto2_port_*.la
%dir %{_libdir}/libgphoto2
%attr(755,root,root) %{_libdir}/libgphoto2/print-usb-usermap
%dir %{_datadir}/libgphoto2
%dir %{_datadir}/libgphoto2/*
%dir %{_datadir}/libgphoto2/*/konica
%{_datadir}/libgphoto2/*/konica/english
%lang(fr) %{_datadir}/libgphoto2/*/konica/french
%lang(de) %{_datadir}/libgphoto2/*/konica/german
%lang(ja) %{_datadir}/libgphoto2/*/konica/japanese
%lang(ko) %{_datadir}/libgphoto2/*/konica/korean
%lang(es) %{_datadir}/libgphoto2/*/konica/spanish

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gphoto2*-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/*.la
%{_includedir}/gphoto2
%{_pkgconfigdir}/*.pc
%{_mandir}/man3/*
%{_gtkdocdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgphoto2.spec,v $
Revision 1.1.2.3  2003/10/03 16:18:21  ankry
- md5, rel. 2

Revision 1.1.2.2  2003/07/11 12:01:43  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.1.2.1  2003/02/09 21:20:52  ankry
- added %%{_gtkdocdir} definition

Revision 1.1  2003/01/11 11:52:10  qboosh
- library part moved from gphoto2.spec

Revision 1.15  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.14  2002/10/14 05:35:02  kloczek
- release 8: merge translations from Conectiva.

Revision 1.13  2002/10/09 13:14:28  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/09/22 19:26:07  marcus
- totally removed gphoto2-lib name from desc.
- addedd Provides gphoto2-lib to compatibility
- rel.7.

Revision 1.11  2002/08/30 11:29:43  kloczek
- release 6: added gphoto2-lib-* to Obsoletes.

Revision 1.10  2002/08/30 01:52:03  kloczek
- package renams: gphoto2-lib -> gphoto2, gphoto2-lib-devel -> gphoto2-devel,
  gphoto2-lib-static -> gphoto2-static, gphoto2 -> gphoto2-progs.

Revision 1.9  2002/08/30 01:07:34  kloczek
- updated to 2.1.0 (release 5).

Revision 1.8  2002/06/16 15:02:49  qboosh
- changed _prefix and Group - ghoto2 is not X11 app
  (only libaa, which is placed in /usr/lib, causes libX11 dependancy -
   it's sick and should be changed...)
- new %%doc, some fixes in %%files, added missing dirs
- renamed -static to lib-static (to match lib-devel)
- BR: autoconf, automake
- release 0.6

Revision 1.7  2002/05/21 23:13:24  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/04/30 17:33:08  misiek
- now it's really fixed

Revision 1.5  2002/04/30 15:49:44  misiek
- remove ncurses patch (instead use CPPFLAGS), fix cdk detection, disable am/ac regeneration

Revision 1.4  2002/04/16 19:12:35  mkochano
- Release 0.5.
- lib subpackage does not require main package.
- Removed LD_LIBARAY_PATH setting.
- Added %post{,un} sections.
- bin/*-config moved to -devel subpackage.

Revision 1.3  2002/04/10 17:37:12  mkochano
- Release 0.3.
- lib-devel subpackage Requires: libexif-devel.

Revision 1.2  2002/04/09 22:08:00  mkochano
- Release 0.2.
- Fixed libtool problems (thanks to Blues <blues@pld.org.pl>).
- All files are packages, but probably some of them are in wrong
  subpackages.

Revision 1.1  2002/04/07 14:37:13  mkochano
- Release 0.1.
- Version 2.0.
- It builds, but there are two problems:
  * It is installed in /usr/X11R6. Only program should go there.
    Libraries don't depend on X11. I don't know how to split them.
    Please remember about gphoto2-config.
  * There are errors in build log, which don't stob building, but I
    think they are serious:
    /usr/bin/ld: cannot find -lgphoto2_port
    collect2: ld returned 1 exit status
    libtool: install: error: relink `libgphoto2_port_serial.la' with the above command before installing it
    libtool: install: warning: remember to run `libtool --finish /usr/X11R6/lib/gphoto2_port/0.0.4'
    (there are lots of them).
